Bug 772044 - [RFE] Add ethers (mac address) information to the host object
Summary: [RFE] Add ethers (mac address) information to the host object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.0
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On: 691431
Blocks: 736854
TreeView+ depends on / blocked
 
Reported: 2012-01-05 18:16 UTC by Dmitri Pal
Modified: 2012-06-20 13:28 UTC (History)
5 users (show)

Fixed In Version: ipa-2.2.0-1.el6
Doc Type: Enhancement
Doc Text:
Cause: IPA host plugin does not allow storing machine MAC addresses. Consequence: Administrators cannot assign MAC addresses to host entries in IPA. Change: A new attribute for MAC address was added to IPA host plugin Result: Administrators can assign MAC address to host entry. The value can then be read from the IPA LDAP server for example via "getent ethers <hostname>" command.
Clone Of: 691431
Environment:
Last Closed: 2012-06-20 13:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0819 normal SHIPPED_LIVE ipa bug fix and enhancement update 2012-06-19 20:34:17 UTC

Description Dmitri Pal 2012-01-05 18:16:53 UTC
+++ This bug was initially created as a clone of Bug #691431 +++

We're using the ethers table in NIS today to generate DHCP config files for clients to we can send different TFTP,DNS,etc options to different clients depening on which type of machine they are (mostly Windows, Linux, etc). At some locations we're also required to only serve IP to clients known by mac address.

I'm missing a ethers table in IPA. Having the MAC address added as an attribute to
the host object, and a lookup table for ethers, like the hostgroup to netgroup lookup table is done would be very useful.

Any plans for this?

--- Additional comment from dpal@redhat.com on 2011-03-28 12:55:26 EDT ---

Would the following solve the problem:

1) Adding MAC address attribute to the schema (it is already there macAddress we can just add it as an option attribute to the hosts object - should not cause any grief). 

2) Add management plugin to manage this attribute - will require some python work - contributions are welcome.

3) Will require minor UI changes I suspect
 

4) Add the field to the admin model so that access control over it is handled properly.


5) Create a NIS map for ethers and serve it from the nis plugin from IPA.

I do not think you are talking about any integration with SSSD or you need ethers map to be available offline too? ASAIU the map is need for DHCP servers only, right and not need to be available on every machine?

--- Additional comment from dpal@redhat.com on 2011-03-28 12:55:57 EDT ---

s/ASAIU/AFAIU

--- Additional comment from sigbjorn@nixtra.com on 2011-03-28 13:26:17 EDT ---

Yes that would solve the problem. No offline/SSSD access is required. This is for DHCP servers, kickstart service and Solaris Jumpstart only. No 5 is not urgent, if even required.

I would suggest also adding a lookup under compat, like cn=ethers,cn=compat so the ethers table can be accessed through NSS on both Solaris and Linux without any modifications on the client.

--- Additional comment from dpal@redhat.com on 2011-03-28 14:00:45 EDT ---


> I would suggest also adding a lookup under compat, like cn=ethers,cn=compat so
> the ethers table can be accessed through NSS on both Solaris and Linux without
> any modifications on the client.

If I read it right the file consists of pair: MAC and IP-or-hostname
But the actual schema for the ou=ethers,dc=.. according to RFC should contain objects ieee802Device, bootableDevice those are extensions of the device class.
Device class has a cn attribute as the mandatory. So what we can do in the compat is to expose host objects with fqdn attribute translated into cn and and auxiliary ieee802Device class with mac address attribute. Is that what you are looking for?

--- Additional comment from sigbjorn@nixtra.com on 2011-03-28 14:36:22 EDT ---

Yes that sounds correct.  Below is an example of what I've used in a LDAP server earlier. I believe the cn should translate to the fqdn as you suggested though.

dn: cn=machine1,ou=ethers,dc=test,dc=com
cn: machine1
macAddress: 00:04:75:AD:B5:8F
objectClass: device
objectClass: ieee802Device
objectClass: top

--- Additional comment from sigbjorn@nixtra.com on 2011-03-29 14:06:53 EDT ---

I see this has been added to the roadmap at version 2.2 of IPA. When is version 2.2 expected? Will this change reach RHEL 6 at some point?

--- Additional comment from dpal@redhat.com on 2011-03-29 14:53:05 EDT ---

(In reply to comment #6)
> I see this has been added to the roadmap at version 2.2 of IPA. When is version
> 2.2 expected? Will this change reach RHEL 6 at some point?

2.2 - is planned to be available by the end of this year or early next year.

It will be incorporated into the RHEL release that is scheduled several months after this date. I can't be more specific than this at the point.

--- Additional comment from sigbjorn@nixtra.com on 2011-08-19 14:50:08 EDT ---

I see this is planned for the 3.0 release. I would urge for this to be included into a 2.1 release. This is required for everyone using jumpstart or kickstart with NIS/LDAP today to be able to migrate to IPA.

--- Additional comment from dpal@redhat.com on 2011-08-19 15:08:44 EDT ---

(In reply to comment #8)
> I see this is planned for the 3.0 release. I would urge for this to be included
> into a 2.1 release. This is required for everyone using jumpstart or kickstart
> with NIS/LDAP today to be able to migrate to IPA.

Sorry we do not have capacity to do it now. 
3.0 is the version that we will be working in the fall with estimated delivery in winter.

--- Additional comment from sigbjorn@nixtra.com on 2011-11-01 16:02:16 EDT ---

I've started adding the objectclass: ieee802Device, and setting the macAddress property on the computer objects under cn=computers,cn=accounts,<SUFFIX> manually using ldapmodify.

I achieve my goal by adding "ethers: ldap" to /etc/nsswitch.conf on Linux and Solaris clients. I'm now able to look up the entries at the client when using "getent ethers <hostname>".

Added to the RFE as agreed with R. Crittenden at IRC.

Comment 4 Jenny Severance 2012-02-24 20:54:47 UTC
Please add a description of what is expected with the new feature?  Showing an enrolled client does not show macAddress.

Comment 5 Rob Crittenden 2012-02-24 21:17:25 UTC
We don't set the MAC address automatically when a host is enrolled. Right now we are just making the attribute available.

To test:

1. yum install nss-pam-ldapd
2. yum install ipa-server
3. ipa-server-install ...
4. kinit admin
5. ipa host-add someserver.example.com --macaddress=00:50:56:30:F6:58
6. edit /etc/nslcd and set the base to your IPA server
7. service nslcd start
8. edit /etc/nsswitch.conf and set ethers to ldap
9. getent ethers someserver.example.com
0:50:56:30:F6:58 someserver.example.com

Comment 6 Asha Akkiangady 2012-03-26 18:43:03 UTC
Verified.

Version :: ipa-server-2.2.0-4.el6.x86_64, nss-pam-ldapd-0.7.5-14.el6_2.1.x86_64


::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-macaddress-startup: Install nss-pam-ldapd package, set ethers to ldap and create temp directory.
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'yum -y install nss-pam-ldapd'
:: [   PASS   ] :: nss-pam-ldapd package is installed
:: [   PASS   ] :: Set the base to IPA server
:: [   PASS   ] :: Running '/bin/mv /etc/nslcd.conf.modified /etc/nslcd.conf'
:: [   PASS   ] :: Restart nslcd service
:: [   PASS   ] :: Set ethers to ldap
:: [   PASS   ] :: Running '/bin/mv /etc/nsswitch.conf.modified /etc/nsswitch.conf'
:: [   PASS   ] :: Creating temp directory
:: [   PASS   ] :: Running 'pushd /tmp/tmp.EvrHGmb8p8'
:: [   LOG    ] :: Duration: 12s
:: [   LOG    ] :: Assertions: 9 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-macaddress-startup: Install nss-pam-ldapd package, set ethers to ldap and create temp directory.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-94: add a host with --macaddress --force
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host with --mac-address and --force
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Check if MAC address was added
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   LOG    ] :: Duration: 4s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-94: add a host with --macaddress --force

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-95: Delete Host
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Delete host that was added with --macaddress
:: [   LOG    ] :: WARNING: Failed to find host.
:: [   PASS   ] :: Verifying host was deleted.
:: [   LOG    ] :: Duration: 4s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-95: Delete Host

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-96: Add host with --macaddress and DNS Record
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Reverse Zone: 65.16.10.in-addr.arpa.
:: [   LOG    ] :: EXECUTING: ipa host-add --macaddress=00:30:48:7F:2C:ff --ip-address=10.16.65.99 mytesthost2.testrelm.com
:: [   PASS   ] :: Adding host with mac address 00:30:48:7F:2C:ff and IP Address 10.16.65.99
:: [   LOG    ] :: Host name is as expected.
:: [   LOG    ] :: Principal name is as expected.
:: [   PASS   ] :: Verifying host was added with IP Address.
:: [   LOG    ] :: Value of MAC address: for mytesthost2.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Check if MAC address was added
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost2.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost2.testrelm.com'
:: [   PASS   ] :: Checking for forward DNS entry
:: [   PASS   ] :: Checking for reverse DNS entry
:: [   LOG    ] :: Duration: 12s
:: [   LOG    ] :: Assertions: 7 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-96: Add host with --macaddress and DNS Record

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-97: Delete host that has --macaddress without deleting DNS Record
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Host mytesthost2.testrelm.com deleted successfully.
:: [   PASS   ] :: Deleting host without deleting DNS entries
:: [   LOG    ] :: WARNING: Failed to find host.
:: [   PASS   ] :: Verifying host was deleted.
:: [   PASS   ] :: Checking for forward DNS entry
:: [   PASS   ] :: Checking for reverse DNS entry
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-97: Delete host that has --macaddress without deleting DNS Record

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-98: Add host with --macaddress without force option - DNS Record Exists
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: EXECUTING: ipa host-add mytesthost2.testrelm.com
:: [   PASS   ] :: Add host DNS entries exist
:: [   LOG    ] :: Host name is as expected.
:: [   LOG    ] :: Principal name is as expected.
:: [   PASS   ] :: Verifying host was added when DNS records exist.
:: [   LOG    ] :: Value of MAC address: for mytesthost2.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Check if MAC address was added
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost2.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost2.testrelm.com'
:: [   PASS   ] :: Checking for forward DNS entry
:: [   PASS   ] :: Checking for reverse DNS entry
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 7 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-98: Add host with --macaddress without force option - DNS Record Exists

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-99: Delete Host that has -macaddress and Update DNS
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Delete host that has --macaddress and update DNS
:: [   LOG    ] :: WARNING: Failed to find host.
:: [   PASS   ] :: Verifying host was deleted.
:: [   PASS   ] :: Checking for forward DNS entry
:: [   PASS   ] :: Checking for reverse DNS entry
:: [   LOG    ] :: Duration: 7s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-99: Delete Host that has -macaddress and Update DNS

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-100: host-mod of a host with --macaddress 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host with --mac-address and --force
:: [   LOG    ] :: EXECUTING : ipa host-mod --macaddress="00:30:48:7F:2C:ee"  "mytesthost1.testrelm.com"
:: [   PASS   ] :: Modify a host that has --macaddress attribute
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:EE
:: [   PASS   ] :: Verifying host MAC address was modified.
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ee mytesthost1.testrelm.com'
:: [   PASS   ] :: Cleanup delete test host
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 6 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-100: host-mod of a host with --macaddress 

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-101: setattr --macaddress
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host
:: [   LOG    ] :: Executing: ipa host-mod --setattr macaddress="00:30:48:7F:2C:ff" mytesthost1.testrelm.com
:: [   LOG    ] :: Successfully set attribute macaddress to "00:30:48:7F:2C:ff"
:: [   PASS   ] :: Setting attribute macaddress to value of 00:30:48:7F:2C:ff.
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Verifying host macaddress was modified.
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   PASS   ] :: Cleanup delete test host
:: [   LOG    ] :: Duration: 7s
:: [   LOG    ] :: Assertions: 6 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-101: setattr --macaddress

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-102: setattr --macaddress and addattr on macaddress
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host
:: [   LOG    ] :: Executing: ipa host-mod --setattr macaddress="00:30:48:7F:2C:ff" mytesthost1.testrelm.com
:: [   LOG    ] :: Successfully set attribute macaddress to "00:30:48:7F:2C:ff"
:: [   PASS   ] :: Setting attribute macaddress to value of 00:30:48:7F:2C:ff.
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Verifying host macaddress was modified.
:: [   LOG    ] :: Executing: ipa host-mod --addattr macaddress=00:30:48:7F:2C:ff mytesthost1.testrelm.com
:: [   LOG    ] :: "ipa host-mod --addattr macaddress=00:30:48:7F:2C:ff mytesthost1.testrelm.com" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: no modifications to be performed
:: [   PASS   ] :: Verify expected error message for --addattr.
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   PASS   ] :: Cleanup delete test host
:: [   LOG    ] :: Duration: 9s
:: [   LOG    ] :: Assertions: 8 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-102: setattr --macaddress and addattr on macaddress

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-103: Modify Host with --macaddress - host doesn't Exist
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa host-mod --addattr macaddress=00:30:48:7F:2C:ff mytesthost1.testrelm.com
:: [   LOG    ] :: "ipa host-mod --addattr macaddress=00:30:48:7F:2C:ff mytesthost1.testrelm.com" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: mytesthost1.testrelm.com: host not found
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 3s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-103: Modify Host with --macaddress - host doesn't Exist

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-104: addattr --macaddress
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host
:: [   PASS   ] :: Adding attribute macaddress to value of 00:30:48:7F:2C:ff.
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Verifying host macaddress was modified.
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   PASS   ] :: Cleanup delete test host
:: [   LOG    ] :: Duration: 6s
:: [   LOG    ] :: Assertions: 6 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-104: addattr --macaddress

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-105: delattr --macaddress
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host with --mac-address and --force
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Check if MAC address was added
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   PASS   ] :: Delete attribute macaddress=00:30:48:7F:2C:ff.
:: [   LOG    ] :: ERROR: mytesthost1.testrelm.com verification failed: Value of MAC address: - GOT:  EXPECTED: 00:30:48:7F:2C:ff
:: [   PASS   ] :: Check if MAC address attribute was deleted
:: [   PASS   ] :: Get the ether value associated with the host, should be empty.
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should not contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   PASS   ] :: Cleanup delete test host
:: [   LOG    ] :: Duration: 8s
:: [   LOG    ] :: Assertions: 9 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-105: delattr --macaddress

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-106: delattr --macaddress with incorrect value
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Adding host with --mac-address and --force
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Check if MAC address was added
:: [   LOG    ] :: Executing: ipa host-mod --delattr macaddress=00:30:48:7F:2C:EE mytesthost1.testrelm.com
:: [   LOG    ] :: "ipa host-mod --delattr macaddress=00:30:48:7F:2C:EE mytesthost1.testrelm.com" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: macaddress does not contain '00:30:48:7F:2C:EE'
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Value of MAC address: for mytesthost1.testrelm.com is as expected - MAC address: 00:30:48:7F:2C:FF
:: [   PASS   ] :: Check if MAC address attribute was not deleted
:: [   PASS   ] :: Get the ether value associated with the host
:: [   PASS   ] :: File '/tmp/hostshow_mytesthost1.testrelm.com.out' should contain '0:30:48:7f:2c:ff mytesthost1.testrelm.com'
:: [   PASS   ] :: Cleanup delete test host
:: [   LOG    ] :: Duration: 10s
:: [   LOG    ] :: Assertions: 8 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-106: delattr --macaddress with incorrect value

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-host-cli-107: Negative - add a host with invalid macaddress
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Executing: ipa host-add mytesthost1.testrelm.com --macaddress=some:value --force
:: [   LOG    ] :: "ipa host-add mytesthost1.testrelm.com --macaddress=some:value --force" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: invalid 'macaddress': Must be of the form HH:HH:HH:HH:HH:HH, where each H is a hexadecimal character.
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Executing: ipa host-add mytesthost1.testrelm.com --macaddress=some:value --force
:: [   LOG    ] :: "ipa host-add mytesthost1.testrelm.com --macaddress=some:value --force" failed as expected.
:: [   PASS   ] :: Error message as expected: ipa: ERROR: invalid 'macaddress': Must be of the form HH:HH:HH:HH:HH:HH, where each H is a hexadecimal character.
:: [   PASS   ] :: Verify expected error message.
:: [   LOG    ] :: Duration: 3s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: ipa-host-cli-107: Negative - add a host with invalid macaddress

Comment 7 Martin Kosek 2012-04-19 19:51:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: IPA host plugin does not allow storing machine MAC addresses.
Consequence: Administrators cannot assign MAC addresses to host entries in IPA.
Change: A new attribute for MAC address was added to IPA host plugin
Result: Administrators can assign MAC address to host entry. The value can then be read from the IPA LDAP server for example via "getent ethers <hostname>" command.

Comment 9 errata-xmlrpc 2012-06-20 13:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0819.html


Note You need to log in before you can comment on or make changes to this bug.